import { GpaBuilder } from '@/utils';
import { PublicKey } from '@safecoin/web3.js';
type AccountDiscriminator = [
    number,
    number,
    number,
    number,
    number,
    number,
    number,
    number
];
export declare class BidReceiptGpaBuilder extends GpaBuilder {
    whereDiscriminator(discrimator: AccountDiscriminator): this;
    bidReceiptAccounts(): this;
    whereAuctionHouse(auctionHouseAddress: PublicKey): this;
    whereBuyer(buyerAddress: PublicKey): this;
    whereMetadata(metadataAddress: PublicKey): this;
}
export {};
