import { CandyMachine, CollectionPDA } from '@safecoin/lpl-candy-machine';
import { Account, MaybeAccount } from '@/types';
/** @group Accounts */
export type CandyMachineAccount = Account<CandyMachine>;
/** @group Account Helpers */
export declare const parseCandyMachineAccount: import("@/types").AccountParsingFunction<CandyMachine>;
/** @group Account Helpers */
export declare const toCandyMachineAccount: import("@/types").AccountParsingAndAssertingFunction<CandyMachine>;
/** @group Accounts */
export type CandyMachineCollectionAccount = Account<CollectionPDA>;
/** @group Accounts */
export type MaybeCandyMachineCollectionAccount = MaybeAccount<CollectionPDA>;
/** @group Account Helpers */
export declare const parseCandyMachineCollectionAccount: import("@/types").AccountParsingFunction<CollectionPDA>;
/** @group Account Helpers */
export declare const toCandyMachineCollectionAccount: import("@/types").AccountParsingAndAssertingFunction<CollectionPDA>;
